//+------------------------------------------------------------------+
//|                                           Multysymboltest_99.mq5 |
//|                                  Copyright 2021, MetaQuotes Ltd. |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Ltd."
#property link      ""
#property version   "1.00"
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+

#include <Trade\PositionInfo.mqh>
#include <Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh>
CPositionInfo  m_position;                   // trade position object
CTrade         m_trade;                      // trading object
CSymbolInfo    m_symbol;                     // symbol info object

input ulong                m_magic = 24444;
input string               Symbol1 = "";
input string               Symbol2 = "";


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
  m_trade.SetExpertMagicNumber(m_magic);
  
  
//--- create timer
   EventSetTimer(60);

//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//--- destroy timer
   EventKillTimer();

  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
  
  if(!NewBar(_Symbol))
  return;
  
   

   int total_Symbol1 = 0;
   for(int i = PositionsTotal() - 1; i >= 0; i--) // returns the number of open positions
     {
      if(m_position.SelectByIndex(i))
        {
         ulong MyPositionTicket = PositionGetTicket(i);
         string MyCurrentPositionSymbol = PositionGetSymbol(i);
         // selects the position by index for further access to its properties
         if(MyCurrentPositionSymbol == Symbol1 && m_position.Magic() == m_magic)
           {

            if(!PositionSelect(Symbol1))
               continue;

            total_Symbol1++;

           }
        }
     }

  
   int total_Symbol2 = 0;
   for(int i = PositionsTotal() - 1; i >= 0; i--) // returns the number of open positions
     {
      if(m_position.SelectByIndex(i))
        {
         ulong MyPositionTicket = PositionGetTicket(i);
         string MyCurrentPositionSymbol = PositionGetSymbol(i);
         // selects the position by index for further access to its properties
         if(MyCurrentPositionSymbol == Symbol2 && m_position.Magic() == m_magic)
           {

            if(!PositionSelect(Symbol2))
               continue;

            total_Symbol2++;

           }
        }
     }


   MqlRates rates_Symbol1[];
   ArraySetAsSeries(rates_Symbol1, true);
   CopyRates(Symbol1, PERIOD_CURRENT, 0, 4, rates_Symbol1);

   MqlRates rates_Symbol2[];
   ArraySetAsSeries(rates_Symbol2, true);
   CopyRates(Symbol2, PERIOD_CURRENT, 0, 4, rates_Symbol2);

   double Close1_Symbol1 = rates_Symbol1[1].close;
   double Open1_Symbol1 = rates_Symbol1[1].open;

   double Close1_Symbol2 = rates_Symbol2[1].close;
   double Open1_Symbol2 = rates_Symbol2[1].open;

// Enter Long Symbol1
   if(total_Symbol1 == 0
      && Close1_Symbol1 < Open1_Symbol1)
     {
      double Ask_Symbol1 = SymbolInfoDouble(Symbol1, SYMBOL_ASK);
      double StopSymbol1 = Ask_Symbol1 - 0.0040;
      double TargetSymbol1 = Ask_Symbol1 + 0.0040 ;

      m_trade.Buy(0.10, Symbol1, Ask_Symbol1, StopSymbol1, TargetSymbol1, "EnterLong_Symbol1");
     }


// Enter Long Symbol2
   if(total_Symbol2 == 0
      && Close1_Symbol2 < Open1_Symbol2)
     {
      double Ask_Symbol2 = SymbolInfoDouble(Symbol2, SYMBOL_ASK);
      double StopSymbol2 = Ask_Symbol2 - 0.0040;
      double TargetSymbol2 = Ask_Symbol2 + 0.0040 ;

      m_trade.Buy(0.10, Symbol2, Ask_Symbol2, StopSymbol2, TargetSymbol2, "EnterLong_Symbol2");
     }



  }
//+------------------------------------------------------------------+
//| Timer function                                                   |
//+------------------------------------------------------------------+
void OnTimer()
  {
//---

  }
//+------------------------------------------------------------------+
//| Trade function                                                   |
//+------------------------------------------------------------------+
void OnTrade()
  {
//---

  }
//+------------------------------------------------------------------+
//| TradeTransaction function                                        |
//+------------------------------------------------------------------+
void OnTradeTransaction(const MqlTradeTransaction& trans,
                        const MqlTradeRequest& request,
                        const MqlTradeResult& result)
  {
//---

  }
//+------------------------------------------------------------------+
//| Tester function                                                  |
//+------------------------------------------------------------------+
double OnTester()
  {
//---
   double ret=0.0;
//---

//---
   return(ret);
  }
//+------------------------------------------------------------------+
//| TesterInit function                                              |
//+------------------------------------------------------------------+
void OnTesterInit()
  {
//---

  }
//+------------------------------------------------------------------+
//| TesterPass function                                              |
//+------------------------------------------------------------------+
void OnTesterPass()
  {
//---

  }
//+------------------------------------------------------------------+
//| TesterDeinit function                                            |
//+------------------------------------------------------------------+
void OnTesterDeinit()
  {
//---

  }




bool NewBar(string symbol)
{
static datetime old_time=NULL;
datetime        new_time=iTime(symbol,Period(),0);

if(new_time!=old_time)
{
old_time=new_time;
return true;
}

return false;
}